Create Chain environment
Create a chain environment. Returns the resulting environment.
Authorizations
Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.
Path Parameters
Body
A request to create a custom environment for a chain.
Name of the environment
"staging"
Promotion settings for the environment
{
"promotion_cleanup_strategy": null,
"ramp_up_duration_seconds": 600,
"ramp_up_while_promoting": true,
"redeploy_on_promotion": true,
"rolling_deploy": null,
"rolling_deploy_config": null
}Mapping of chainlet name to the desired chainlet environment settings
[
{
"autoscaling_settings": {
"autoscaling_window": 800,
"concurrency_target": 4,
"max_replica": 3,
"max_scale_down_rate": null,
"min_replica": 2,
"scale_down_delay": 63,
"target_in_flight_tokens": null,
"target_utilization_percentage": null
},
"chainlet_name": "HelloWorld",
"instance_type_id": "2x8"
},
{
"autoscaling_settings": {
"autoscaling_window": null,
"concurrency_target": null,
"max_replica": 3,
"max_scale_down_rate": null,
"min_replica": 3,
"scale_down_delay": null,
"target_in_flight_tokens": null,
"target_utilization_percentage": null
},
"chainlet_name": "RandInt",
"instance_type_id": "A10Gx8x32"
}
]Response
Environment for oracles.
Name of the environment
Time the environment was created in ISO 8601 format
Unique identifier of the chain
Promotion settings for the environment
Environment settings for the chainlets
Current chain deployment of the environment
Candidate chain deployment being promoted to the environment, if a promotion is in progress